java.lang.IncompatibleClassChangeError: Method io.vertx.core.Future.future()Lio/vertx/core/Future; must be InterfaceMethodref constant

GitHub | PatrickHuetter | 10 months ago
tip
Your exception is missing from the Samebug knowledge base.
Here are the best solutions we found on the Internet.
Click on the to mark the helpful solution and get rewards for you help.
  1. 0

    Is vert-x3 compatible with java 9?

    GitHub | 10 months ago | PatrickHuetter
    java.lang.IncompatibleClassChangeError: Method io.vertx.core.Future.future()Lio/vertx/core/Future; must be InterfaceMethodref constant

    Root Cause Analysis

    1. java.lang.IncompatibleClassChangeError

      Method io.vertx.core.Future.future()Lio/vertx/core/Future; must be InterfaceMethodref constant

      at io.vertx.core.Future$future.call()
    2. Vert.x Core
      Future$future.call
      1. io.vertx.core.Future$future.call(Unknown Source)
      1 frame
    3. Groovy
      AbstractCallSite.call
      1. org.codehaus.groovy.runtime.callsite.CallSiteArray.defaultCall(CallSiteArray.java:48)
      2. org.codehaus.groovy.runtime.callsite.AbstractCallSite.call(AbstractCallSite.java:113)
      3. org.codehaus.groovy.runtime.callsite.AbstractCallSite.call(AbstractCallSite.java:117)
      3 frames
    4. Unknown
      DeployVerticle.start
      1. DeployVerticle.start(DeployVerticle.groovy:14)
      1 frame
    5. Vert.x Core
      ContextImpl.lambda$wrapTask$18
      1. io.vertx.core.impl.DeploymentManager.lambda$doDeploy$163(DeploymentManager.java:429)
      2. io.vertx.core.impl.ContextImpl.lambda$wrapTask$18(ContextImpl.java:335)
      2 frames
    6. Netty
      SingleThreadEventExecutor$2.run
      1. io.netty.util.concurrent.SingleThreadEventExecutor.runAllTasks(SingleThreadEventExecutor.java:358)
      2. io.netty.channel.nio.NioEventLoop.run(NioEventLoop.java:357)
      3. io.netty.util.concurrent.SingleThreadEventExecutor$2.run(SingleThreadEventExecutor.java:112)
      3 frames